%define anolis_release 2
%global abi 8

Name:           libdvdread
Version:        6.1.3
Release:        %{anolis_release}%{?dist}
Summary:        A library for reading DVD video discs based on Ogle code
License:        GPLv2+
URL:            http://dvdnav.mplayerhq.hu/
Source0:        https://download.videolan.org/pub/videolan/libdvdread/%{version}/libdvdread-%{version}.tar.bz2
Source1:        https://download.videolan.org/pub/videolan/libdvdread/%{version}/libdvdread-%{version}.tar.bz2.asc
Source2:        https://download.videolan.org/pub/keys/7180713BE58D1ADC.asc
BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  make
Provides:       bundled(md5-gcc)

%description
libdvdread provides a simple foundation for reading DVD video disks.
It provides the functionality that is required to access many DVDs.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        devel
Summary:        Development files for libdvdread
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
libdvdread provides a simple foundation for reading DVD video disks.
It provides the functionality that is required to access many DVDs.

This package contains development files for libdvdread.

%prep
%{gpgverify} --keyring='%{S:2}' --signature='%{S:1}' --data='%{S:0}'
%setup -q

%build
%configure --disable-static

make V=1 %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_libdir}/libdvdread.la %{buildroot}%{_pkgdocdir}/COPYING


rm %{buildroot}%{_datadir}/doc/libdvdread/AUTHORS
rm %{buildroot}%{_datadir}/doc/libdvdread/NEWS
rm %{buildroot}%{_datadir}/doc/libdvdread/README.md

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libdvdread.so.%{abi}*
%{abidir}/libdvdread.dump

%files doc
%doc AUTHORS NEWS README.md

%files devel
%doc %{_pkgdocdir}/ChangeLog
%doc %{_pkgdocdir}/TODO
%{_includedir}/dvdread
%{_libdir}/libdvdread.so
%{_libdir}/pkgconfig/dvdread.pc

%changelog
* Tue Feb 28 2023 chen_yu_ao <m15927509890@163.com> - 6.1.3-2
- remove ldconfig_scriptlets and generate abi files

* Thu Sep 22 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.1.3-1
- update to 6.1.3

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.1.2-1
- Init from upstream version 6.1.2

